<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\HighlyStructuredMessage\HSMLocalizableParameter;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class HSMCurrency extends \Google\Protobuf\Internal\Message
{
    


    protected $currencyCode = null;
    


    protected $amount1000 = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getCurrencyCode()
    {
        return isset($this->currencyCode) ? $this->currencyCode : '';
    }

    public function hasCurrencyCode()
    {
        return isset($this->currencyCode);
    }

    public function clearCurrencyCode()
    {
        unset($this->currencyCode);
    }

    




    public function setCurrencyCode($var)
    {
        GPBUtil::checkString($var, True);
        $this->currencyCode = $var;

        return $this;
    }

    



    public function getAmount1000()
    {
        return isset($this->amount1000) ? $this->amount1000 : 0;
    }

    public function hasAmount1000()
    {
        return isset($this->amount1000);
    }

    public function clearAmount1000()
    {
        unset($this->amount1000);
    }

    




    public function setAmount1000($var)
    {
        GPBUtil::checkInt64($var);
        $this->amount1000 = $var;

        return $this;
    }

}

